Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.cas.proxy
Class NamedCasProxyDecider

    java.lang.Object
      org.acegisecurity.providers.cas.proxy.NamedCasProxyDecider

All Implemented Interfaces:
  CasProxyDecider, InitializingBean, MessageSourceAware

    public class NamedCasProxyDecider

extends Object
implements CasProxyDecider, InitializingBean, MessageSourceAware

Accepts proxied requests if the closest proxy is named in the `validProxies` list.

Also accepts the request if there was no proxy (ie the user directly authenticated against this service).

Field Summary
`protected MessageSourceAccessor` | `messages`

Constructor Summary
`NamedCasProxyDecider()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `confirmProxyListTrusted(List proxyList)` Decides whether the proxy list is trusted.
`List` | `getValidProxies()`
`void` | `setMessageSource(MessageSource messageSource)`
`void` | `setValidProxies(List validProxies)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messages

    protected MessageSourceAccessor messages

Constructor Detail

### NamedCasProxyDecider

    public NamedCasProxyDecider()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### confirmProxyListTrusted

    public void confirmProxyListTrusted(List proxyList)
                                 throws ProxyUntrustedException

  Description copied from interface: `CasProxyDecider`
  Decides whether the proxy list is trusted.

  Must throw any `ProxyUntrustedException` if the proxy list is untrusted.

  Specified by:
    `confirmProxyListTrusted` in interface `CasProxyDecider`
  Throws:
    `ProxyUntrustedException`

### getValidProxies

    public List getValidProxies()

### setMessageSource

    public void setMessageSource(MessageSource messageSource)

  Specified by:
    `setMessageSource` in interface `MessageSourceAware`

### setValidProxies

    public void setValidProxies(List validProxies)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.